About IconEdit Pro

IconEdit Pro is a very powerful and easy to use icon editor and browser for Windows 95/98/NT. With this icon editor you are able to create icons, cursors and even animated cursors in different sizes with up to 256 colors.

You can mark, move, mirror or rotate any rectangular area. Icons may be extracted from EXE and DLL files and also cut out of bitmaps (BMP, RLE, JPG, GIF) or directly out of the Windows screen.

Icons may be stored in an icon resource (a file that may contain multiple icons with different sizes and colors) which helps you save a lot of space on your hard disk.

Effective tools like the 'Shadow Function' (lets you create 3D effects very easily), radial, free rotatable linear and conical gradations, antialiasing, contrast control, brightness/saturation control, raise/inset etc., can assist you a lot.

All icons in a directory, an icon resource or an EXE/DLL file are displayed and may be printed with or without their filenames. The icons even may be printed in variable sizes.

All these features make 'IconEdit Pro' one of the best icon editors around!


What's New

V6.0 | V6.01 | V6.02 |  |  |  |  |  |
V5.0 | V5.01 |  |  |  |  |  |  |
V4.0 | V4.01 |  |  |  |  |  |  |
V3.0 | V3.5 |  |  |  |  |  |  |
V2.0 | V2.1 | V2.21 | V2.2 | V2.3 | V2.4 | V2.5 | V2.51 | V2.52
V1.0 |  |  |  |  |  |  |  |

Version 6.02:

  • New feature: While cutting icons from bitmaps in the open dialog an enlarged view is shown
  • Bugfix: It wasn't possible to use a startup palette

Version 6.01:

  • The size of the editor and the open dialog window can be save (Menu: Special/Options)
  • Bugfix: Icons couldn't be extracted correctly from icon resources

Version 6.0:

  • New feature: Complete new drawing eingine
  • New feature: Scripts for automating tasks
  • New feature: Rectangular gradation
  • New feature: Pattern filling
  • New feature: Read/Save Unix icons (.XPM)
  • The shadow function now also uses the opacity setting (you can create transparent shadows)
  • The editor and the open dialog can now be resized
  • The pen can now be larger than one pixel
  • When extracting the colors from the current icon you now can sort them
  • The open dialog now includes the '*.*' filter to check various files for icons
  • When extracting an icon from an EXE/DLL the mask is extracted too
  • You can now reduce the colors at any time (Menu: Colors/Reduce Colors)
  • The color palette isn't set back anymore when an icon is opened
  • The chosen fontsize in the text dialog stays the same when changing the font
  • Bugfix: Extracting more than one icon from an EXE/DLL files didn't work
  • Bugfix: An icon was saved as a bitmap when the extension wasn't '.ico' (e.g. '.Ico', '.ICO')
  • Bugfix: Icons with sizes from 17 to 20 and 48 to 51 pixels weren't saved corretly
  • Bugfix: Moving a frame of an animation up or down didn't work correctly
  • Bugfix: It wasn't passible to create white text
  • Bugfix: When the colors of an icon were reduced to 256 and the icon contained transparent pixels the program still showed 257 colors
  • Bugfix: Icons weren't save correctly when the system used a different color than black for '3D-Objects'
  • Bugfix: The icon wasn't saved when the target file was write protected
  • Bugfix: When working with a color dept of 32 bit the bugreport program didn't work

Version 5.01:

  • New feature: Extract Colors
  • Added 'Show animation panel at startup' to the options dialog
  • The list of the recent files now doesn't show duplicates
  • If the color for the '3D Objects' (Properties of Display) wasn't 'gray', some weird color effects happened
  • Bugfix: If 'EXE, DLL..' was chosen in the open dialog the program crashed when an EXE or DLL was chosen for the second time
  • Some other small changes/improvements/bugfixes

Version 5.0:

  • IconEdit Pro now includes a new tool called 'IconWizard' which allows you to change all system icons and all icon related settings
  • New drawing tool: Clone
  • New feature: Shift
  • New feature: Conical filling
  • New feature: Convert to Grayscale
  • New feature: 'Perfect' Circle/Line
  • Undo Button in the horizontal toolbar (right-click -> Undo Selection)
  • New Status Bar
  • Tips & Tricks in the new help
  • The colors of an icon are counted permanently (you can turn this off)
  • The hotspot can be set equal for all frames of an animation
  • A double-click on an icon in the editor copies it to the actual frame of an animation
  • A double-click on a frame of an animation copies it to the editor
  • The directory when saving an animation will be recognised
  • A double-click on an icon in the open dialog immediately opens the editor with this icon
  • Bugfix: Some icons where only opened black
  • Bugfix: The last directory in the open dialog wasn't set correctly
  • Bugfix: Cursors weren't displayed correctly in the open dialog
  • Bugfix: In the 16-color mode the opacity setting wasn't set back to '100'
  • Some other small changes/improvements/bugfixes

Version 4.01:

  • Bugfix: On some computers IconEdit Pro crashed with the error message 'System Error &h80004005[-2147467259]' on startup.
    This was not an error of IconEdit Pro but of Visual Basic.
  • IconEdit Pro can now read Magic Desk icons
  • Bugfix: The link 'Help/World Wide Web/What's the newest version?' didn't work
  • Bugfix: When an icon was passed to IconEdit Pro via command line, the big display wasn't updated
  • Bugfix: When an icon was passed to IconEdit Pro via command line, the name of the icon wasn't shown in the title bar
  • Bugfix: When an icon was passed to IconEdit Pro via command line, the color of the icon wasn't set correctly

Version 4.0:

  • New feature: Icons can be created in variable sizes from 8x8 to 64x64 pixel.
  • The opacity/transparency setting now also works if you move or paste something
  • You can now run the program in English or German
  • A new animation frame can be inserted at the beginning or the end of the animation
  • Frames of an animation can be moved up or down in the animation
  • You can specify if you want to move/copy/paste with or without transparency
  • In the open dialog you can display JPG and GIF pictures
  • The menu 'File' shows a history of the last four files
  • 4 Undo levels (with the 'Space' key)
  • You can now start with the animation panel open
  • 'Print' from the open dialog now also prints the directory name
  • If you exit IconEdit Pro the question reads 'Do you want to save the icon now?'
  • The open and save dialog always opens the last directory
  • From the menu 'Help' you can invoke your Web browser with some IconEdit Pro related sites
  • The helpfile is now a standard Windows helpfile
  • In the help there is a Q&A section
  • Bugfix: A doubleclick on an *.ico file now really invokes IconEdit Pro with the chosen icon
  • Bugfix: When you drew on an icon and dragged the mouse pointer over the edges of the drawing area, the program crashed when you pressed the right mouse button
  • Bugfix: Sometimes an error #9 occurred when inserting a new frame to an animation
  • Bugfix: In the Info window sometimes an 'a' or 'z' was added to registered names
  • Bugfix: If a marked region was moved over the margins of an icon and antialiasing was chosen, the program crashed
  • Bugfix: The 'X' and 'Y' indicators in version 3.5 where mixed up
  • Bugfix: When starting IconEdit Pro in truecolor mode sometimes the error #340 occurred
  • Some further small bugfixes

Version 3.5:

  • New feature: Now you can create animated cursors!
  • New feature: You can save icons as cursors
  • New feature: You can save icons as bitmap
  • The design of the toolbars has changed
  • The keyboard shortcuts have changed
  • When you click on the 'Save-Symbol' (second on the left) the 'Save-As-Dialog' appears
  • Bugfix: When clicking on 'Load Pal' and then on 'Cancel' an error message appeared'
  • Bugfix: When the 'Spray Tool' was used before a color region was set, the program crashed
  • Bugfix: On some printers the icons where printed too small or too large and even sometimes on top of each other
  • Bugfix: The Open-Dialog often showed non icon files.
  • Bugfix: When a resource with less than five icons was loaded in the Resource-Editor, the program crashed when you clicked on an empty entry
  • Bugfix: When an opened folder was deleted and then tried to open again, the program crashed
  • Bugfix: There was an empty entry in the 'Font Section' of the 'Text Tool'. When you clicked on it, the program crashed

Version 3.0:

  • Bugfix: When the big display in the Resource Editor was clicked without a resource loaded the program crashed.
  • New feature: Now you can register online!
  • I am sure that when you check out this new version you will not find any differences to the previous version.
    But there is one major difference: SPEED !!!

    Function | How many times faster?
    Changing of the 'Screen Color' (this was a real pain in the a..) | about 20 times !!!
    Brighten/Saturation | 4 times
    Contrast | 4 times
    Raise/Inset | 4 times
    Invert | 4 times
    Opacity | 3,5 times
    Rotate | 3,5 times
    Linear/Radial Gradation | 3 times
    Shadow | 3 times
    Change to x Colors | 3 times
    Paste | 3 times
    Antialias | 2 times
    Count Colors | 2 times
    Flip | 1,5 times
    Save Icon | 1,5 times

Version 2.52:

  • The style of the buttons is now more Windows 95 like.
  • The program suddenly needs (I really don't know why) the file 'MSVCRT.DLL' which is now included.

Version 2.51:

  • New feature: Any marked region can be resized to 32x32 or 16x16 pixels
  • Bugfix: When running in truecolor mode this error message appeared: 'Unexpected Error: Code 6'

Version 2.5:

  • At first sight not very much has changed to justifiable the jump from version 2.4 to version 2.5. But now the program works when 'large fonts' are used (Control Panel/Display/Settings/Font Size).
    The program doesn't look much different but it was a lot of work to accomplish this!
    But I still recomend 'small fonts'.

    Furthermore the following has been changed/added:

  • New feature: An option dialog has been added. There you can turn the animations of the buttons and the tool tips on or off. You can also define which color palette will be loaded when the program starts.
  • Bugfix: 'IconEdit Pro' now also works with Windows NT.
  • Bugfix: When some text at the end of the German help file was marked, the program crashed.
  • Bugfix: When text was inserted and something had been marked before, the marking of this text wasn't correct.
  • Bugfix: When icons were dragged on the big display of the Resources Editor to add them to an icon resource, these icons were added twice.

Version 2.4:

  • New feature: You can now define the opacity for each drawing tool.
  • New feature: You can now define the opacity for each drawing tool.
  • New feature: Spray (with or without gradation)
  • New feature: All icons from an EXE- or DLL-file can be extracted at once.
  • New feature: The function 'Invert' now only inverts pixel which are drawn with normal color (not background color).
  • New feature: You can define 'IconEdit Pro' as your default icon editor. Just assign the ending 'ICO' to 'IconEdit Pro' and then when you double-click on an icon in the Explorer IconEdit Pro will come up with the selected icon.
  • Bugfix: The program crashed when the 'Enter-Key' was pressed in the Open Dialog.
  • Bugfix: When no icon was selected in the 'Print Dialog' but 'Print Icons' was clicked nevertheless the program crashed.
  • All new texts in this help are printed in blue color.

Version 2.3:

  • New feature: If you choose 'BMP/RLE' in the Open-Dialog a new button with the caption 'Insert from clipboard' appears. With this button you can insert the contents of the Windows clipboard and then cut icons from it just like from a normal bitmap.
  • The Setup/Uninstall and the runtime files are now completely in English.
  • Bugfix: Sometimes there came an overflow message in the beginning.
  • Bugfix: The program crashed when an invalid icon was chosen in the Open-Dialog.
  • Bugfix: The program crashed when a drive which was not available was chosen.
  • Bugfix: After deleting icons from an iconresource in the Resource-Editor the buttons and displays were not set back.

Version 2.21:

  • If a tooltip is shown you don't have to wait the whole time again before the tooltip of an other button pops up.
  • Bugfix: The icons 'Save (16x16)' and 'Print' were mixed.
  • Bugfix: 'Take whole picture' in the Open-Dialog wasn't working correctly.

Version 2.2:

  • Added Tooltips to the Editor
  • Bugfix: The program couldn’t start when there was not printer installed.
  • Bugfix: In freehand mode points where connected but the resulting lines where not drawn in the icon mask.

Version 2.1:

  • New feature: Raise/Inset
  • Shorter loading time
  • Points will be connected in freehand mode
  • Bugfix: When clicking with the right mouse button on the drawing area, the right color was chosen but not displayed (16-color-mode only).
  • Bugfix: Printing didn’t work, neither in the editor nor in the open dialog.
  • Bugfix: The text function did only work with black color.
  • Bugfix: Setup wasn’t able to create a temporary file.

Version 2.0:

  • 32 Bit version for Windows 95
  • Saving in different sizes (32x32 and 16x16 pixel)
  • Creating and editing of Iconresources
  • Radial and free rotateable linear gradations
  • Antialiasing
  • Brightness/Saturation control
  • Contrast control
  • Invert
  • Insert Text
  • 3 Undo levels
  • Animated buttons for the special effects
  • A lot of further improvements

Version 1.0:

  • First version for Windows 3.x


What is Shareware?

Shareware is a software distribution strategy. The strategy is to electronically distribute 'Try-Before-You-Buy' versions of software so that customers can audition (try) software before registering (paying for) the software.

Shareware is an interesting concept. The whole premise (unlike shrinkwrap software) is that you should be able to TRY a program BEFORE you buy it. With shrinkwrap software, you first try to figure out what you need, read about the various available programs, go to the store, purchase it, go home, break open that little "WARNING: ONCE THIS SEAL HAS BEEN BROKEN, THIS PRODUCT IS NON-RETURNABLE" seal, install the program, and hope that it is the program you needed. With Shareware, you figure out what you need, try a few programs until you find the one that best suits YOUR needs, and then pay the author for the right to continue using that program.


Restrictions of the Shareware version

The Shareware Version of IconEdit Pro is fully functional. Only at the beginning and the end a dialog appears where you have to wait for ten seconds.

I've not infested the program with excessive beg notices, crippled it or had it verbally insult you after ten days. I trust you to support IconEdit Pro if you like it. To create this program was (and still is) a lot of work (thanks to my girlfriend for her patience) and I hope you will support this and further work on the program.


What do I get when I register?

  • A personal life-time registration code to get rid of the annoying Shareware notifications
  • Notifications on updates (only via e-mail!)
  • A good conscience because you support the Shareware concept and the development of IconEdit Pro.


How can I get the registered version?

To register please use the entry 'Print Registration Form' from the menu 'Help' or just print the file 'REGIST-E.TXT' and send it to the given address.

Thank you for your honesty!

You can also purchase and immediately receive the registered version of IconEdit Pro on the Internet through Albert's Ambry. Transactions are via Credit Card with the option of making the purchase over a secure server. Registration at Albert's Ambry also eliminates shipping and handling costs.

Please go to: 'http://www.alberts.com' and search on 'IconEdit'. Click on the 'Buy it' link to register IconEdit Pro.

You can also use the entry 'World Wide Web/Online Registration via Albert's Ambry' from the menu 'Help' instead.


What does it cost?

The price for the registered version depends on how much people are using IconEdit Pro in your company:

 | USD (US Dollars) | DEM (deutsche Mark) | ATS (österreichische Schillinge)
1 user | 20,- | 29,- | 190,-
2-4 users | 19,- | 28,- | 185,-
5-9 users | 18,- | 26,- | 180,-
10-15 users | 17,- | 25,- | 170,-
16-24 users | 16,- | 23,- | 160,-
25-49 users | 15,- | 22,- | 150,-
50-? users | 14,- | 20,- | 140,-

(price per copy - i.e. for 3 users you would have to pay USD 57,-)

In Addition to this table the following licenses are available:

  • Site license (USD 890,-/DEM 1.290,-/ATS 8.900,-)
    (single organization in one city/town)
  • Worldwide license (USD 1.290,-/DEM 1.900,-/ATS 13.900,-)
    (single organization worldwide)
  • University/School license (USD 590,-/DEM 850,-/ATS 5.900,-)
    (single university/school in one city/town)


Editor - General

Click on the parts you are interested in...


The Drawing Area

On the drawing area the current icon is displayed magnified. Clicking the left mouse button applies the current tool. Clicking with the right mouse button defines the color below the mouse pointer as the active color.

If you right-click on a transparent color the current color mode will be changed to transparent 'Trpt'. If you right-click on an normal color the current color mode will be changed to normal 'Nrml'. To avoid this hold down the 'Shift-Key' while clicking.


The Icon Selection

With this selection it is possible to work with four icons at the same time. The active icon is raised and can be changed to another by a mouseclick.
If you doubleclick on one of the four icons it is copied to the active frame of the animation (like 'Animation/Get From Editor').


The Icon Mask

With the icon mask you can check which parts of the icon are transparent (black pixels) and which are not (white pixels).
To make none transparent pixels transparent you have to switch to 'transparent color' and overpaint them.


The Color Palette

You can choose a color with the left mouse button. There are two different palettes. One for 16 and one for 256 colors. This distinction is important for the storage of an icon. If the 256 color palette is used the icon will be saved as a 256 color icon, otherwise as a 16 color icon. The difference is that a 256 color icon looks much better but you can only view it in high- or truecolor mode. In the 256 color mode of Windows you can only use the 16 color palette!
Attention: If you change from the 256 color palette to the 16 color palette, all colors that are not standard colors (black, blue, green, cyan, red, violet, yellow, white, gray, light blue, light green, light cyan, light red, light violet, light yellow and light white) will be lost (don't panic, of course you can undo this...)!

On the bottom of the palette are two buttons. One to save (Save Pal) the current palette and one to load (Load Pal) a saved palette. The starting palette is called 'STANDARD.PAL' and is located in the same directory as 'ICONEDIT.EXE'.

On the right side of the palette are three sliders with which you can define your own colors. If you click on one of the captions (red, green, blue) the standard Windows color dialog appears.

Beneath these sliders a button with the caption 'Gradation' is located. With this button you can easily create color gradations.

Proceeding:

  1. Click on the first color on the palette which you want to use for the gradation

  2. Press the button 'Gradation' (now it looks depressed; with another click on this button you can cancel the process)

  3. Click on the last color of the gradation (the colors are arranged in columns so they are ordered from top to bottom, left to right)

The colors between the starting and the endpoint are now building a fluent gradation


The Drawing Method Selection

This selection gives you the possibility to draw with 'normal color (Nrml)' or to draw with 'transparent color (Trpt)'.

All pixels that are drawn with 'transparent color' will appear transparent in the icon so that the background of the Windows environment shines through.

In a new icon all points are set to 'transparent color'.

Example: If you create a new icon and then draw a line and save this icon and apply it to a program, you will see this line and the rest of the icon is transparent - so the rest does not need to be white as you see it in the Editor!

The 'transparent color' has one other function: It is used to delete previously set points.

Example: If you draw a line with a 'normal color' and then want to delete it, it doesn't work to just overpaint it with a 'normal' white color. The line is still there (check the mask), you only can't see it because the background is also white. In order to make this line visible you only have to change the background color. In order to delete this line you have to overpaint it with 'transparent color'.


The Horizontal Toolbar

hNew.bmp (406 bytes) | New
hOpen.bmp (406 bytes) | Open
hSave.bmp (406 bytes) | Save
hUndo.bmp (406 bytes) | Undo
hAnti.bmp (406 bytes) | Antialiasing
hSaturat.bmp (406 bytes) | Brightness/Saturation
hContras.bmp (406 bytes) | Contrast
hShadow.bmp (406 bytes) | Shadow
hChange.bmp (406 bytes) | Change Color
hRaise.bmp (406 bytes) | Raise/Inset
hInvert.bmp (406 bytes) | Invert
hText.bmp (406 bytes) | Text
hShift.bmp (406 bytes) | Shift
hGradat.bmp (406 bytes) | Gradation Options
hSpray.bmp (406 bytes) | Spray Options
hHotspot.bmp (406 bytes) | Show/Set Hotspot
hAni.bmp (406 bytes) | Show Animation Panel
hWizard.bmp (406 bytes) | Start IconWizard


The Vertical Toolbar

vfree.gif (540 bytes) | Freehand
vline.gif (522 bytes) | Line
vrect.gif (528 bytes) | Rectangle
vfrect.gif (520 bytes) | Filled Rectangle
vellips.gif (533 bytes) | Ellipse (Circle)
vfellips.gif (524 bytes) | Filled Ellipse (Circle)
vfill.gif (553 bytes) | Fill: To fill with a gradation you first have to mark a color region. To accomplish this, click on the first color in the color palette an then on the button 'Region'. Afterwards click on the last color of the gradation (the colors are arranged in columns so they are ordered from top to bottom, left to right). All colors between this two colors will be marked and are used for the gradation (to cancel the region click on the button 'X' next to the button 'Region'). Now you can define which kind of gradation you want to use (normal, linear, radial, conical or rectangular). How you can define your own gradation is described in the section 'The Color Palette'. To use 'Pattern Filling' you have to select a region first and the use the entry 'Define Pattern' from the menu 'Special'.
vspray.gif (561 bytes) | Spray: With the entry 'Spray Options' from the menu 'Effects' some settings concerning 'Spray' can be made. Spray always works with the current color but if a color region is defined the colors of this region are cycled. To ensure constant spraying the spray tool only works when moving the mouse.
vclone.gif (545 bytes) | Clone: With the function 'Clone' you can copy parts of the current or from one of the three other icons. To define the origin hold down the 'Shift-key' and click on the wanted coordinates. Now you can use the Freehand, Rectangle and Spray tools to copy parts of the icons.
vmark.gif (557 bytes) | Select Region
vvflip.gif (526 bytes) | Flip Vertically
vhflip.gif (533 bytes) | Flip Horizontally
vlrotate.gif (534 bytes) | Rotate in 90° steps counter-clockwise
vrrotate.gif (537 bytes) | Rotate in 90° steps clockwise

If an area is selected then the tools 'Rotate' and 'Flip' will only be applyed to this area, otherwise to the whole drawing area.


The Status Bar

sCoord.bmp (1782 bytes) | Shows the actual X- and Y-coordinates of the cursor on the drawing area.
sAbsolut.bmp (1782 bytes) | Shows the width and height of the current drawing tool.
Colors: | Shows the number of colors of the current icon. If IconEdit Pro responds sluggish then turn this off (menu Colors/Count Colors).
Size: | Shows the size (in pixel) of the current icon.
Opacity: | Here you can specify the opacity for each drawing tool. The values are stated in percent. 100 correspond to opaque and 1 correspond to transparent.


The Undo Selection

If you press the 'Space-Key', the four undo fields are displayed. With these fields you can undo the last four changes. Just click on any field to replace the current icon with the contents of this field.


Menu - File

File
 New
Open
---------------
Save
Save As
Save All
---------------
Print
Printer Setup
---------------
Exit

New:
Creates a new icon. The current icon is deleted. You can choose whether you want to create a 16 or 256 color icon. A 256 color icon can only be created if you run Windows in high- or truecolor mode.

Open:
Loads an icon, extracts an icon from an EXE-/DLL-file or an icon resource, cuts an icon out of a bitmap (see 'The Open Dialog).

Save:
Saves the current icon. A dialog appears where you can define a name and a directory. Further you can choose if you want to save the icon as icon, cursor or bitmap.
If you have saved the icon before then this dialog will not appear and the icon will be saved with the already given name. If you want to define another name you can use 'Save As'.
If you want to save a 256 color icon which has more than 256 colors, you have to reduce the colors first.

Save As:
Same as 'Save' but the 'Save dialog' always appears.

Save All:
Same as 'Save' but all four icons will be saved.

Print:
A dialog appears where you can choose which of the four icons you want to print. You can also choose more than one icon.
Further you can state the size of the printed icons. '1' means normal size, '2' double size,... The maximum size depends on the printer setting. From size '5' on you can also print the icons with a grid.

Printer Setup:
Opens the standard Printer-Settings dialog.

Exit:
Quits 'IconEdit Pro'.


Menu - Edit

Edit
 Undo
---------------
Copy
Paste
Copy to Clipboard
---------------
Delete marked Area

Undo:
You can undo the last change. Right-click on the undo icon in the horizontal toolbar to show the four undo fields.

Copy:
Copies the marked area to the clipboard (not the Windows clipboard!). If no area is marked, the whole icon will be copied.

Paste:
Pastes the copied area into the active icon. If you copy from a 256 color icon to a 16 color icon all colors will be changed to standard colors (black, blue, green, cyan, red, violet, yellow, white, gray, light blue, light green, light cyan, light red, light violet, light yellow and light white).

Copy to Clipboard:
Copies the marked area to the Windows clipboard. If no area is marked, the whole icon will be copied.

Delete marked Area:
Deletes the marked area.


Menu - Special

Special
 Start IconWizard
---------------
Show Grid
Copy Transparent
---------------
Define Pattern
---------------
Show/Set Hotspot
---------------
Options
Language/Sprache

Start IconWizard:
Starts the 'IconWizard' with which you can change the system icons.

Show Grid:
Turns the grid of the drawing area on or off.

Copy Transparent:
If this option is enabled, while moving or pasting, all the pixels of the drawing area shine through the transparent parts of the marked region.

Define Pattern:
Defines the pattern which will be used when you choose 'Pattern' in the 'Gradation Options' dialog. Just selcect any region with the 'Selection' Tool from the vertical toolbar and select 'Define Pattern'.

Show/Set Hotspot:
The hotspot blinks and the mouse cursor changes to a cross. If you now click on the drawing area the hotspot will be set to this new position The hotspot has only consequences when you save the icon as cursor.

Options:
Here you can configure IconEdit Pro to act the way you want.

Language/Sprache:
Here you can define in which language you want to operate IconEdit Pro.


Menu - Effects

Effects
 Flip Horizontal
Flip Vertical
---------------
Rotate Left
Rotate Right
---------------
Antialiasing
Brightness/Saturation
Contrast
Shadow
Change Color
Raise/Inset
Invert
Text
Shift
---------------
Gradation Options
Spray Options

Flip Horizontal:
Flips the marked area horizontally (around a vertical axis). If no area is marked, the whole icon is flipped.

Flip Vertical:
Flips the marked area vertically (around a horizontal axis). If no area is marked, the whole icon is flipped.

Rotate Left:
Rotates the marked area counter-clockwise. The rotated area is moved to the upper left corner. If no area is marked, the whole icon is rotated.

Rotate Right:
Rotates the marked area clockwise. The rotated area is moved to the upper left corner. If no area is marked, the whole icon is rotated

Antialiasing:
Approaches colors in an icon or a marked region. With this function you can smooth your icon and avoid steps. In the appearing dialog you can set the strength of the antialiasing with a slider (0 = no antialiasing, 10 = strong antialiasing).

Brightness/Saturation:
In the appearing dialog you can choose whether you want to change the brightness or the saturation of the icon or the marked region. With the three sliders you can set the strength for each color (red, green, blue) separately. Values higher than 0 percent brighten the colors (increase the saturation). Values lower than 0 percent deepen the colors (decrease the saturation). To change one color separately, just uncheck the other two.

Contrast:
Increases or decreases the contrast of the icon or the marked region. In the appearing dialog there are two different kinds of sliders: The Intensity-Sliders control the amount of the contrast change. Values higher than 0 percent increase the contrast, values lower than 0 percent decrease the contrast. The Threshold-Sliders define a threshold for each color (red, green, blue). If the value of a color of the icon is lower than this threshold, its value will be more lowered (if you have chosen an intensity-value higher than 0 percent). If the value is higher, it will be raised. So the color values are spread which means the contrast is raised.

Shadow:
With this function you can create 3D-Effects very easily. To create a shadow, just choose the color of the shadow (left-click on the palette) and then select 'Shadow' from the menu 'Effects'. A dialog appears where you can choose the X- and Y-position (depth) of the shadow.
The 'transparent color' has a special function:
Normally a shadow will be created from each point painted with 'normal color'. If you draw a filled rectangle and in this rectangle a line to which you want to apply a shadow, a shadow will be created only from the rectangle because all points were painted with normal color. To avoid this, just set the 'transparent color' to the color of the rectangle (left-click on the button 'Trpt' and then hold down the 'Shift-Key' and right-click on the rectangle). If you now create a shadow, the shadow will be applied only to the line. You can set back the 'transparent color' afterwards.

Change Colors:
Changes one color to an other. Choose a color from the palette and then select 'Change Color' from the menu 'Effects'. The mouse pointer changes to an 'Up-arrow'. Now left-click on the color on the drawing-area which you want to change with the previously selected. If no area is marked the color of the whole icon will be changed, otherwise only of the marked area.

Raise/Inset:
Raises or insets the marked region. In the appearing dialog you can specify if the graphic should be raised or inseted. You also can set the light color and the shadow color (simply click on the colored button).
The transparent color has the same special purpose as with the shadow function: If you draw a light gray rectangle and in this rectangle a line which you want to inset, you first have to set the transparent color to the same color as the rectangle. To do this press the 'Trpt'-button and right-click on the rectangle while holding down the 'Shift-Key'.
If you now use 'Raise/Inset' only the line will be inseted. You will get the best results with a light gray background, a white light-color and a dark shadow-color (= default).

Invert:
Inverts the Icon or the marked region. Only the pixels which are drawn with 'normal color' (not 'transparent color') are inverted.

Text:
Inserts Text into the icon. Write the text into the textfield on the upper right and it will be inserted under consideration of the font and the fontsize into the icon. The text will be wrapped automatically and if it is too long, it will be cut off.

Shift:
With this function you can move the whole icon or a marked region of the icon in any direction. The advantage to marking and moving a region with the mouse is the 'Loop' feature. If this feature is turned on, parts which are normally cut off by the border, are displayed on the other side. This can be very useful for animations.
In the shift dialog you can work faster if you use the numbers on the keypad.

Gradation Options:
Defines the kind of filling. Possible fillings are: normal, linear, radial, rectangular, conical and pattern filling. Before you can use these fillings you have to mark a color region.
If you choose linear or conical filling, you can set the angle. Use the slider or just click into the preview and move your mouse with pressed button.
To use 'Pattern' filling you fist have to define a pattern (Special/Define Pattern).

Spray Options:
In this dialog you can set the shape, the size and the density of the spray tool.
Tip: If you set the size to '1', the density to '100%' and if a color region is defined, you can draw like in freehand mode but the colors are cycled.


Menu - Size

Size
 Icon
U x V pixels
Custom
Pen
1-10 pixels
Form
Maximize
Minimize
Smallest possible

U x V pixels:
Here you can specify the size of the icon. You can choose the standard sizes 16x16, 24x24, 32x32, 48x48 and 64x64 pixels. You can also specify a custom size from 8x8 to 64x64 pixel. If you change the size of an icon you can specify if you want to resize it or not.

1-10 pixels:
Specifies the size of the drawing pen.

Maximize:
Maximizes the form.

Minimize:
Minimizes the form to the task bar.

Smallest possible:
Minimizes the form to the smallest possible size.


Menu - Colors

Colors
 256 Colors
16 Colors
---------------
Count Used Colors
---------------
Reduce Colors
Convert to Grayscale
Extract Colors

256 Colors:
Changes the current icon to 256 color mode.

16 Colors:
Changes the current icon to 16 color mode.
Attention: If you change from the 256 color mode to the 16 color mode, all colors that are not standard colors (black, blue, green, cyan, red, violet, yellow, white, gray, light blue, light green, light cyan, light red, light violet, light yellow and light white) will be lost (don't panic, of course you can undo this...)!

Count Used Colors:
Defines if the number of colors in the actual icon is shown in the status bar.
If IconEdit Pro reacts sluggishly then turn this off.

Reduce Colors:
A dialog for color reduction appears. Use the slider to select to how many you want to reduce the colors and press the button 'Reduce the colors now'. On the bottom six icons - each color reduce in a different way- are displayed. Just choose the best looking icon and press the button 'Ok'.

Convert to Grayscale:
Converts all colors of the current icon to values of gray.

Extract Colors:
Transfers all colors of the current icon to the color palette. You can choose if you want to sort the colors by brightness, lines or rows.


Menu - Animation

Animation
 Show Animation Panel
---------------
New Animation
Open Animation
Save Animation
---------------
Get from Editor
Put to Editor
---------------
Insert Frame
Delete Frame
---------------
Adjust Hotspot
Move Frame Up
Move Frame Down

Show Animation Panel:
A panel for creating animated cursors appears on the right side of the editor where the frames of the animation are displayed. A click on one of these frames defines the frame as current frame. If you double-click on on of these frames it ist copied to the editor (same as Animation/Put To Editor)

On the bottom you can preview the animation with the play and stop button.
Further you can define the display time for each frame. One 'Jiffy' equals 1/60 of a second so 60 Jiffies equal one second.
To define the display time for a single frame click on this frame and insert the desired value into the textbox below 'Jiffies'. With the slider you can define the display time for all frames at once. Attention: Individual settings of the frames are lost!

The cursor keys are a big help when creating an animation:
As long as you hold down the 'Left-Key', the frame before the current frame of the animation is displayed in the editor. As long as you hold down the 'Down-Key', the current frame, and as long as you hold down the 'Right-Key', the frame after the current frame is display in the editor.
Example: You are drawing a frame for an animation. Hold down the 'Left-Key' and you can compare the previous frame with the new frame very easily.
Another possibility: In a complete animation click on the second frame. Now click on the symbol 'Put to Editor' to display this frame in the editor. When you now hold down the 'Left-Key' and then the 'Right-Key' (and then in reverse order) you can check if the animation is smooth.

New Animation:
Clears all the frames.

Open Animation:
Opens an existing animation.

Save Animation:
Saves the current animation.

Get from Editor:
Copies the current icon from the editor to the current frame of the animation. You can also double-click on the icon which you want to get from the editor.

Put to Editor:
Copies the current frame from the animation to the current icon of the editor. You can also double-click on the frame you want to put to the editor.

Insert Frame:
Inserts a new frame. You can choose if you want to insert the new frame before or after the current frame or at the beginning or end of the animation

Delete Frame:
Deletes the current frame

Adjust Hotspot:
Sets the hotspots of all frames equal to the hotspot of the current frame

Move Frame Up:
Moves the current frame up

Move Frame Down:
Moves the current Frame down


Menu - Scripts

Scripts
 ...
---------------
Edit
Refresh

With scripts you can automate tasks in IconEdit Pro. The menu list all available scripts of the 'Scripts' directory of IconEdit Pro. To recognise scripts IconEdit Pro searches for the extension '*.ies' (IconEdit Script).

Edit:
Opens a simple editor for manipulating and creating new scripts.
With the dropdown list in the upper left you can select an available script for editing. If you want to create a new one just press the button 'New Script' and enter the filename, the name which should be shown in the menu and the purpose of your script.

Refresh:
When you start IconEdit Pro all available scripts in the 'Scripts' directory are shown. If you create a new script while IconEdit Pro runs you have to refresh the list so that your new script is included.


Menu - Help

Help
 IconEdit Pro Help
---------------
Print Registration Form
Enter Registration Code
---------------
World Wide Web
Hagen's Homepage
What's the Newest Version
Download the Newest Version
Known Bugs and Problems
What Others Say About IconEdit Pro
Send an E-Mail to Hagen Wieshofer
Register Online Using Albert's Ambry
---------------
Bug Report
Info

IconEdit Pro Help:
Shows this help.

Print Registration Form:
Starts an external program to fill in the registration form. You can also print it manually. The name of the file is 'REGIST-E.TXT' and is located in the same directory as 'ICONEDIT.EXE'.

Enter Registration Code:
If you register the program you will get a registration code. Just enter your name and this code in the appearing dialog and you are rid of the annoying nag-screen.

Hagen's Homepage:
Brings you to my homepage from where you can get the newest information about IconEdit Pro.

What's the Newest Version:
Shows you which version of IconEdit Pro is the newest.

Download the Newest Version:
Brings you to the download section of IconEdit Pro.

Known Bugs and Problems:
Shows you known bugs and problems and gives you solutions to fix them.

What Others Say About IconEdit Pro:
Some ratings and statements about IconEdit Pro.

Send an E-Mail to Hagen Wieshofer:
Invokes your e-mail program (if installed) with my e-mail address.

Register Online Using Albert's Ambry:
You can purchase and immediately receive the registered version of IconEdit Pro on the Internet through Albert's Ambry. Transactions are via Credit Card with the option of making the purchase over a secure server.

Bug Report:
Starts an external program to make bugreports.

Info:
Shows some information about the system resources and about IconEdit Pro.


Open Dialog - Overview

The open dialog is divided into three parts. The first one on the upper left corner contains an icon selection that corresponds to the one in the editor.
Below there is a button with which you can print all icons of the current directory. If you press this button a dialog appears where you can define if you want to print the icons with or without their filenames underneath. The 'Setup' button is used to setup the printer.
The second part, underneath the first, contains a filename-, a directory- and a selection-box. Below there is a small toolbar with four icons. The first opens the resource editor, the second marks all displayed icons, the third unmarks them and the last one extracts icons from EXE or DLL files.
The third part on the right shows all icons of the current directory (if the option 'Show all icons' in the first part is checked). A click with the right mouse button marks an icon. To mark more than just one icon hold down the 'Shift-Key'.


Load an Icon

Choose the position in the icon selection to which you want to load it. Go to the directory where the icon is located and simply click on its picture on the right side or on its filename on the left.


Extracting an icon from an EXE or DLL file

Choose the entry '*.EXE; *.DLL; *.ICL' in the selection-box (underneath the filename box). Go to the directory where the EXE, DLL or ICL is located and click on its filename. All icons in this EXE, DLL or ICL file will be displayed on the right side. Just click on the one you want.
If you now select one ore more icons, you can extract them to single files with the fourth button on the lower left side (Extract Icons). The appearing dialog works the same way as the Extract-Dialog from the resource editor.


Extracting an icon from an icon resource

Choose the entry '*.ICR' in the selection box. Go to the directory where the icon resource is located and click on its filename. The icons in this resource are displayed on the right side.


Cutting an icon out of a bitmap

Cutting icons from a bitmap

Choose the entry '*.BMP; *.JPG, *.GIF' in the selection box. Go to the directory where the bitmap is located and click on its filename. The bitmap is displayed on the right side. Above the image you can choose:

  • Fixed Size: You can take a cut of the given size (8x8 to 64x64Pixel). Click in the image and wait till a square appears (this may take some seconds with large pictures). You can move this square around. The upper left corner of the enlarged view correspond to the upper left corner of your selection.
  • Free Size: You can take a cut of the size that you want. Click in the image and stretch a rectangle (with pressed shift-key a square). You can also stretch over the visible area (the more, the faster). The middle of the enlarged view correspond to the current position of the cursor in the bitmap.
  • Whole picture: The whole picture is resized to the given size (8x8 to 64x64Pixel).

Notice: The button 'Print all icons' has changed to 'Capture screen'. With this button the whole screen is captured and shown on the right side. Then you can cut out icons as described above.
Further a new button with the caption 'Insert from clipboard' appears. With this button you can insert the contents of the Windows clipboard and then cut icons from it just like from a normal bitmap.


Resource Editor - Overview

With the Resource Editor you can create and administrate icon resources. An icon resource is a single file which can contain multiple icons in different sizes and different numbers of colors.

You can save a lot of disk space with an icon resource. Each harddisk is divided into sectors. The size of these sectors depends on the size of the harddisk (e.g. on a harddisk with 1 GB one sector has 32.738 bytes). Each file, even if it has only 100 bytes, uses one whole sector. So a normal icon file with the size of 766 bytes actually has 32.738 bytes on a harddisk with 1 GB. If you now have 100 icons this means that they use about 3,3 megabytes of disk space. An icon resource with 100 icons only needs 100 kilobytes instead. This way you save 3,2 megabytes of disk space!

Windows uses different icons in the different views. For example if you choose 'Small Symbols' in the explorer, Windows uses the 16x16 icon of the programs. If a program doesn't have a 16x16 icon then it resizes the 32x32 icon to this size. You can avoid this by creating an icon resource with different sized icons. This way you also can draw completely different icons for the 'Small Symbols' and 'Large Symbols' views.

The interface of the resource editor:

On the top there is a progress bar and below this there is a display where all icons of an icon resource are displayed. On the bottom the name of the current icon resource is displayed. To mark an icon just right click on it. If you want to mark more than one icon use the 'Shift-Key'.

On the right side some buttons are located:

Open | Opens an existing icon resource
New | Creates a new icon resource
Saving ? | Shows how much disk space you are saving with the current resource (if you delete the single files). The shown value is only correct for FAT 16 drives!
Tag All | Tags all icons in the current resource
Untag All | Untags all icons in the current resource
Extract | Extracts the marked icons from the current resource
Delete | Deletes the marked icons from the current resource
Exit | Quits the Resource Editor


Create a new Resource

Press the button 'New' and define the name for the resource in the appearing dialog. Now you can add icons to this resource. To accomplish this just drag the icons from the open dialog to the big display of the Resource Editor.

Instead of pressing the button 'New' you can drag and drop the icons directly onto this button.


Add Icons to a Resource

Press the button 'Open' and define the name of the resource in the appearing dialog. Now you can add icons to this resource by dragging them onto the big display in the Resource Editor.

Instead of pressing the button 'Open' you can drag and drop the icons directly onto this button.


Extracting Icons from a Resource

When you press the button 'Extract' a dialog appears where you can choose if you want to specify a separate name for each icon to be extracted (Extract this icon to this file) or if you want the names to be assigned automatically (Extract all icons to files with this base). The picture box on the upper left side shows the current icon. With the two arrows on its right you can change to the previous or to the next icon.

Example: You have marked 10 icons and now you want to extract them. You want to specify a name for the first two icons and let the rest be named automatically.
To accomplish this press the button 'Extract'. The extract dialog appears and on the top left side the first marked icon is displayed. Specify a name for this icon in the textbox on its right (you also can use the 'Browse-Button' on the right). Now press the button 'Extract'. The current icon will be extracted to the given file and the next marked one is displayed. Repeat the steps above but with a different filename.
The display below the arrows should show '3/10'. Now choose the option 'Extract all icons to files with...' and specify a basename for them (e.g. Icon). After this press the button 'Extract' again. The remaining eight icons will be extracted and named 'Icon0001 - Icon0008'.


IconWizard - Overview

The Selection | Here you can choose which icons and settings you want to change.
Default Icon | This is the icon which is used by the system if you haven't made any changes.
Current Icon | This is the icon which is currently used by the system. If you haven't made any changes yet, this is equal to the 'Default Icon'.
New Icon | This is the icon which will be used by the system if you click on the button 'Apply'.
Change | A click on this button shows a dialog where you can search for an icon and apply it to the 'New Icon'. You can either use a standard icon (ICO) or you can extract an icon from a DLL or EXE file.
Reset Change | This button clears the 'New Icon' which resets the change of it.
Restore Default Icon | This button changes the 'Current Icon' to the 'Default Icon' which resets a previously made change.
Apply | This button applies all changes to the system.
File/Reset all Changes | This works like the button 'Reset Change' except that all changes are reset.
File/Restore all Default Icons | This works like the button 'Restore Default Icon', except that all icons currently used by the system are changed back to their defaults.
File/Rebuild Icons | If Windows doesn't display some icons correctly, use this option.


IconEdit Pro Script Reference

ANI | CLICK | COLOR | DRAG | ICON | KEY | LOOP
MSG | NAME | OPEN | PALETTENR | PURPOSE | TOOL | WAIT

ANI:

Purpose:

Changes the current frame.

Syntax:

ANI: number

Parameters:

number: any number from 1 up to the current number of frames

Example:

To switch to the fifth frame of the current animation use this command. If the animation doesn't have 5 frames, an error occurs.

ANI: 5

CLICK:

Purpose:

Simulates a click on the drawing area.

Syntax:

CLICK: x,y

Parameters:

x: any number from 1 up to the width of the icon
y: any number from 1 up to the height of the icon

Example:

To click on the third pixels in the tenth column use this command.

CLICK: 10,3

COLOR:

Purpose:

Creates a new color at the current position in the color palette.

Syntax:

COLOR: red,green,blue

Parameters:

red: any number from 0 to 255 for the red value of the color
green: any number from 0 to 255 for the green value of the color
blue: any number from 0 to 255 for the blue value of the color

Example:

To set the current color to yellow use this command.

COLOR: 255,255,0

DRAG:

Purpose:

Simulates a click and drag action on the drawing area.

Syntax:

DRAG: x1,y1,x2,y2

Parameters:

x1: any number from 1 up to the width of the icon
y1: any number from 1 up to the height of the icon
x2: any number from 1 up to the width of the icon
y2: any number from 1 up to the height of the icon

Remarks:

Use this keyword to draw lines, rectangles...

Example:

To draw a diagonal line in a 32x32 icon use this command.

TOOL: 7
DRAG: 1,1,32,32

ICON:

Purpose:

Changes the current icon.

Syntax:

ICON: number

Parameters:

number: any number from 1 to 4

Example:

To switch to the third (of four) icon use this command.

ICON: 3

KEY:

Purpose:

Simulates a keystroke.

Syntax:

KEY: key(s)

Parameters:

key(s): see Remarks...

Remarks:

This is the most powerful keyword of the script engine.

Each key is represented by one or more characters. To specify a single keyboard character, use the character itself. For example, to represent the letter A, use A for key(s). To represent more than one character, append each additional character to the one preceding it. To represent the letters A, B, and C, use ABC for key(s).

To specify characters that aren't displayed when you press a key, such as ENTER or TAB, and keys that represent actions rather than characters, use the codes shown below:

Key | Code
BACKSPACE | {BACKSPACE}
DEL or DELETE | {DELETE} or {DEL}
DOWN ARROW | {DOWN}
END | {END}
ENTER | {ENTER}
ESC | {ESC}
HOME | {HOME}
INS or INSERT | {INSERT} or {INS}
LEFT ARROW | {LEFT}
PAGE DOWN | {PGDN}
PAGE UP | {PGUP}
RIGHT ARROW | {RIGHT}
TAB | {TAB}
UP ARROW | {UP}
F1 | {F1}
F2 | {F2}
F3 | {F3}
F4 | {F4}
F5 | {F5}
F6 | {F6}
F7 | {F7}
F8 | {F8}
F9 | {F9}
F10 | {F10}
F11 | {F11}
F12 | {F12}

To specify keys combined with any combination of the SHIFT, CTRL, and ALT keys, precede the key code with one or more of the following codes:

Key Code
SHIFT +
CTRL ^
ALT %

To specify that any combination of SHIFT, CTRL, and ALT should be held down while several other keys are pressed, enclose the code for those keys in parentheses. For example, to specify to hold down SHIFT while E and C are pressed, use +(EC). To specify to hold down SHIFT while E is pressed, followed by C without SHIFT, use +EC.

To specify repeating keys, use the form {key number}. You must put a space between key and number. For example, {LEFT 10} means press the LEFT ARROW key 10 times; {h 5} means press H 5 times.

With the KEY command you can use nearly every function of IconEdit Pro. Most of the functions have an underlined character in it's name. Access these functions with <Alt + underlined character> (e.g. %O for the OK-button in all dialogs).

To use the 'Gradation' button (on the right bottom of the color palette) use the key 'W'. For the 'Region' button use the key 'Y'. To reset a color region use the key 'X'.

Example:

To open the 'Antialiasing' dialog, set the amount to 5 and press 'Ok', use these commands.

KEY: {F1}
KEY: %I
KEY: {RIGHT 5}
KEY: %O

LOOP - END LOOP:

Purpose:

Executes the enclosed keywords x times.

Syntax:

LOOP: number
...
...
...
END LOOP

Parameters:

number: any number from 2 to x

Example:

To brighten the current icon 3 times use this command (I know this is not the best example but check the included scripts for better ones).

LOOP: 3
KEY: {F1}
KEY: %I
KEY: {RIGHT 5}
KEY: %O
END LOOP

MSG:

Purpose:

Displays a message.

Syntax:

MSG: message,buttons,title

Parameters:

message: any message you want to display. Don't use a coma!

buttons: 0... to display only an OK-button
1... to display OK- and CANCEL-buttons

add 16... to display a 'Critical Message' icon (stop sign)
add 32... to display a 'Warning Query' icon (question mark)
add 48... to display a 'Warning Message' icon (exclamation mark)
add 64... to display 'Information Message' icon

title: any string you want to display in the titlebar of the message

Example:

To display the message 'I like IconEdit Pro' with 'Confession' in the titlebar, an OK- and CANCEL-button and information icon, use this command.

MSG: I like IconEdit Pro,65,Confession

NAME:

Purpose:

Defines which name is displayed for the script in the scripts menu.

Syntax:

NAME: string

Parameters:

string: any string

Example:

To display 'Super Mega Script' in the scripts menu use this command.

NAME: Super Mega Script

OPEN:

Purpose:

Opens an icon.

Syntax:

OPEN: filename,number

Parameters:

filename: name and path of the icon to open
number: any number from 1 to 4 specifying the destination icon

Remarks:

If you don't use a path, IconEdit Pro searches the scripts directory for the icon.

Example:

To open the icon named 'test.ico' which is located in the scripts directory use this command.

OPEN: test.ico,1

PALETTENR:

Purpose:

Simulates a click on the color palette.

Syntax:

PALETTENR: column, row

Parameters:

column: any number from 1 to 8
row: any number from 1 to 33

Remarks:

Use this keyword together with the keys 'W, X, Y' to create gradations and color regions.

Example:

To activate the third color in the second column of the color palette use this command.

PALETTENR: 2,3

PURPOSE:

Purpose:

Defines what to display when the user shift-clicks the script in the scripts menu.

Syntax:

PURPOSE: string

Parameters:

string: any string

Example:

To display ' Just think of an icon and this script draws it for you...' when the user shift-clicks on the script in the scripts menu use this command.

PURPOSE: Just think of an icon and this script draws it for you...

TOOL:

Purpose:

Changes the current drawing tool.

Syntax:

TOOL: number

Parameters:

number: any number from 1 to 10

Number | Tool
1 | Freehand
2 | Line
3 | Rectangle
4 | Filled Rectangle
5 | Circle/Ellipse
6 | Filled Circle/Ellipse
7 | Fill
8 | Spray
9 | Mark
10 | Clone

Example:

To switch to the 'Fill' tool use this command.

TOOL: 7

WAIT:

Purpose:

Stops the execution of the script for a moment.

Syntax:

WAIT: time

Parameters:

time: millisecons/50

1... 50 ms
2... 100 ms... etc.

Remarks:

The script engine sends the commands to IconEdit Pro and continues without waiting for the function to finish. Sometimes the called function doesn't return before the script continues and so the script isn't executed correctly.

To avoid this use the keyword WAIT. Normally a value of one should be enough.

Example:

To copy the current icon to the current frame of the animation and then change to icon 2 use this command. If you don't use the WAIT key in this example, IconEdit Pro changes to icon 2 before it copies the current icon to the animation and so icon 2 is copied.

KEY: %(AO)
WAIT: 1
ICON: 2


Adding Comments to Scripts

You can add comments to your scripts but they have to be in a separate line:

correct: Press <Alt - R>
KEY: %R

incorrect: KEY: %R 'Press <Alt - R>

To temporary disable a keyword use any letter in front of it. A semicolon (;) is preferred:

KEY: A
KEY: B
;KEY: C
KEY: D

In this example only the keys 'A, B and D' are pressed.


Example

Let's take a closer look at the 'Sphere (fixed gradation)' script which is included with IconEdit Pro:

NAME: Sphere (fixed gradation)
PURPOSE: Draw a perfect sphere (fixed gradation)

The first line tells IconEdit Pro what it should display in the scripts menu. The second line defines what to display when the user shift-clicks the script in the scripts menu.

PALETTENR: 1,1
KEY: Y
PALETTENR: 1,33

These three lines define a color region from the first color to the last color in the first column of the palette.

KEY: +{F5}
KEY: {ENTER}

These two lines resize the icon to 64x64 pixels.

TOOL: 6
PALETTENR: 1,1
DRAG: 32,32,60,60

These three lines draw a black filled circle with it's center at x:32, y:32

TOOL: 7
KEY: {F11}
KEY: %R
KEY: %O
CLICK: 45,45

These lines change to radial gradation and fill the circle with the gradation defined in 2.

TOOL: 2
PALETTENR: 8,33
DRAG: 15,20,20,15
DRAG: 15,21,21,15
DRAG: 15,22,22,15
DRAG: 16,21,21,16
DRAG: 16,22,22,16
DRAG: 17,22,22,17

The lines above draw some white lines in the upper left corner of the circle for the highlight.

KEY: {F1}
KEY: %I
KEY: {END}
KEY: %O

Open the 'Antialiasing' dialog and set the value to it's maximum (10).

KEY: +{F3}
KEY: {ENTER}

Resize the icon to 32x32 pixels.


Question 1

1. How do I fill an icon with a gradation?

First you have to define the colors of the gradation. Let's make a gradation from blue to yellow:
The colors in the palette are arranged in columns (top to bottom, left to right). Click on the first color in the palette (upper left corner) and use the sliders on the right to set the color to blue. Click on the last color in the first column (bottom left) and assign yellow to it.

Now click on the button 'Gradation' (the mouse pointer changes to an up-arrow) and then on the previous defined 'blue' (top left). The gradation is now ready but before you can use it you have to define which colors you want to use for the filling.

To do this click on the first color of the gradation (blue, top left) and then on the button 'Region'. After this click on the last color of the gradation (yellow, bottom left). Now all colors from blue to yellow in the first column are selected.

In the menu 'Effects/Gradation Options' you can define if you want a linear or radial gradation.

To fill the icon click on the fill tool in the vertical toolbar and click somewhere in the icon.


Question 2

2. In the open dialog the icons are only displayed in 32x32 pixels

The open dialog and the resource editor only display icons in 32x32 pixels. But if you click on an icon it is displayed in the right size on the left side.


Question 3

3. On the desktop, the icons are only displayed in 16 colors

To display icons with 256 colors on the desktop you have to run Windows in high- or truecolor mode and either need the Microsoft Plus Pack or you have to make an entry in the registry: Add 'Shell Icon BPP' with the value '16' to 'HKEY_CURRENT_USER/Control Panel/Desktop/WindowsMetrics/'.

It's much easier to do this with the included IconWizard (last icon on the horizontal toolbar).


Question 4

4. Is there a pipette to pick up colors?

Just click on the color you want to pick up with the right mouse button.


Question 5

5. Is there a screen capture function?

In the open dialog choose 'Bitmap... *.bmp, *.jpg, *.gif'. The button 'Print' changes to 'Capture Screen'.


Question 6

6. Some tools in the horizontal toolbar don't work.

Most of these tools only work in high- or truecolor mode. You are running Windows in 256 color mode.


Question 7

7. Where are the undo fields?

Just press the space bar on your keyboard...


Question 8

8. IconEdit Pro reacts sluggishly.

Turn off the function 'Count Colors' in the menu 'Special'.


Question 9

9. If I cut out an icon of a bitmap in the open dialog, it is only displayed in black in the editor

Run Windows in high- or truecolor mode. Your are probably working in the 256 color mode.


Question 10

10. How do I make pixels transparent?

To make a pixel transparent (the Windows Desktop shines through) you have to switch to 'transparent color'. To do this click on the button 'Trpt' below the palette
Now you can use all drawing tools to make pixels transparent.

Check the mask of the icon to see which pixels are transparent (white) and which are not (black).


Keyboard Shortcuts

Besides the Ctrl-Combinations (given in the menu) you can use the following keys (without <Ctrl> or <Alt> ...):

Key | Function
Space | Shows the undo fields
n | New
o | Open
s | Save
a | Save As
q | Quit
z | Undo
c | Copy
v | Paste
t | Copy to Clipboard
u | Count Used Colors on/off
g | Show Grid
h | Flip Horizontal
v | Flip Vertical
l | Rotate Left
r | Rotate Right
1 | Antialiasing
2 | Brightness/Saturation
3 | Contrast
4 | Shadow
5 | Change Color
6 | Raise/Inset
7 | Invert
8 | Text
9 | Gradation Options
0 | Spray Options
i | Insert Frame (Animation)
d | Delete Frame (Animation)
w | Gradation (the button on the right bottom of the palette)
y | Region
x | Reset Region


Tip 1

1. Use the cursor keys while working with an animation

As long as you hold down the 'Left-Key', the frame before the current frame of the animation is displayed in the editor. As long as you hold down the 'Down-Key', the current frame, and as long as you hold down the 'Right-Key', the frame after the current frame is display in the editor.

Example: You are drawing a frame for an animation. Hold down the 'Left-Key' and you can compare the previous frame with the new frame very easily.

Other possibility: In a complete animation click on the second frame. Now click on the symbol 'Put to Editor' to display this frame in the editor. If you now hold down the 'Left-Key' and then the 'Right-Key' (and then in reverse order) you can check if the animation is smooth.


Tip 2

2. Double-click on an icon in the icon selection

A double-click on one of the four icons in the icon selection, copies it to the current frame of the animation. This equals the function 'Get from Editor'.


Tip 3

3. Double-click on a frame of an animation

A double-click on a frame of an animation copies it to the editor. This equals the function 'Put to Editor'.


Tip 4

4. Double-click on an icon in the preview of the open dialog

A double-click on an icon in the preview of the open dialog exits the open dialog and opens the icon in the editor.


Tip 5

5. How to make a realistic sphere

  1. Create an empty icon with 64x64 pixels. Draw a filled circle with center 32,32 and diameter 55. (pic. 1)
  2. Mark a color region from black to red and choose 'radial filling' in the gradation options. Now choose the 'Fill' tool and click in the circle at about 45,45. (pic.2)
  3. To make the sphere more realistic use a white color to draw a highlight in the upper left corner. (pic. 3)
  4. Now choose 'Antialiasing' with the value '10'. (pic. 4)
  5. Last but not least resize the icon to 32x32 pixels. Answer the question 'Do you want to resize the contents of the current icon to the new size?' with 'YES'.

kugel1.gif (1800 bytes) | kugel2.gif (2686 bytes) | kugel3.gif (2693 bytes) | kugel4.gif (3089 bytes) | kugel5.gif (2070 bytes)
pic. 1 | pic.2 | pic. 3 | pic. 4 | pic. 5


Tip 6

6. Use a color gradation with the 'Spray' tool

If you have marked a color region, the colors are cycled while spraying.


Tip 7

7. Standard Windows dialog to choose a color

If you don't like the color slider on the right of the palette you can use the standard Windows color dialog. Just click on one of the captions 'red, green and blue'.


Tip 8

8. Right-click on the undo button

A right-click on the undo button opens the undo selection (same as pressing the 'Space' key).


Tip 9

9. Right-click on the shift button

With a right-click on the shift button in the horizontal toolbar you can move the whole icon or the currently marked region without opening the shift dialog.

The 'shift direction' depends on where you click on the shift button. The following enlarged picture shows you the areas of the button: red = right, yellow = down, green = left, blue = up and cyan = center.

shift.jpg (2798 bytes)


Uninstall IconEdit Pro

To uninstall IconEdit Pro you can use the default Windows 95 uninstall feature. From your system panel choose 'Add/Removes Programs' and search for IconEdit Pro. Press the button 'Install/Remove' and IconEdit Pro will be uninstalled completely.


My addresse and further information

My address and further information

Name | Hagen Wieshofer
Street | Schlossberg 9 | Austrasse 3A - Top 203
Town | A-6391 Fieberbrunn | A-5020 Salzburg
Country | AUSTRIA | AUSTRIA
Phone | 05354-56524 | 0662-452621
Mobile phone | 0676-5122495
E-Mail | Hagen.Wieshofer@fh-sbg.ac.at
Homepage | http://www.fh-sbg.ac.at/~hwieshof